# -*- coding: utf-8 -*-

from setuptools import setup, find_packages

import os

# Get the readme
with open('README.rst') as f:
    readme = f.read()

# Get the licence
with open('LICENSE') as f:
    license_content = f.read()

# Get the version
mypackage_root_dir = os.path.dirname(os.path.abspath(__file__))
with open(os.path.join(mypackage_root_dir, "floenavi", 'VERSION')) as version_file:
    version = version_file.read().strip()

# Package requirements
with open("requirements.txt") as f:
    requirements = f.read().splitlines()


setup(
    name='floenavi',
    version=version,
    description='python toolbox for post-processing FloeNavi data (requires icedrift)',
    long_description=readme,
    author='Stefan Hendricks',
    author_email='stefan.hendricks@awi.de',
    scripts=['bin/floenavi-set-cfgdir.py',
             'bin/floenavi_gpstrack2xy.py'],
    url='',
    license=license_content,
    install_requires=requirements,
    packages=find_packages(exclude=('tests', 'docs')),
    include_package_data=True
)
